Subject: Fwd: debugger entered on c-electric-paren

From: Adam Fineman <[email-masked]>
Date: Mon, 10 Jan 2011 06:45:08 -0500

As you'll see in the forwarded message below, I originally filed this bug
with the nxhtml team, and they asked me to file it against Emacs.

I am also able to reproduce this on Kubuntu 10.04 with the emacs-nox
package:

afineman@hotdog:~$ emacs --version
GNU Emacs 23.1.1
Copyright (C) 2009 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
afineman@caviar:~$ emacs -q -l ~/elisp/nxhtml/autostart.el

Entering the same file as below, I still see a backtrace at the same place,
although the trace is slightly different:

------------------------
Debugger entered--Lisp error: (wrong-type-argument listp set-from-style)
  c-electric-paren(nil)
  call-interactively(c-electric-paren nil nil)
------------------------

This is the version of nxhtml that I installed:

http://ourcomments.org/Emacs/DL/elisp/nxhtml/zip/nxhtml-2.08-100425.zip

- Adam

---------- Forwarded message ----------
From: Adam Fineman <[email-masked]>
Date: Mon, Oct 18, 2010 at 8:36 PM
Subject: [Bug 663041] [NEW] debugger entered on c-electric-paren
To: [email-masked]

Public bug reported:

afineman@caviar:~$ emacs --version
GNU Emacs 22.3.1
Copyright (C) 2008 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
afineman@caviar:~$ emacs -q -l nxhtml/autostart.el
------
I open a new file '/tmp/foo.php' and start typing the following:
=============
<html>
<head>
<title>foo</title>
</head>
<body>
 <?php var_dump(
=============

As soon as I type the '(' character, I get a backtrace:
===========
Debugger entered--Lisp error: (wrong-type-argument listp set-from-style)
 c-electric-paren(nil)
 call-interactively(c-electric-paren)
===========
This is a clean build of emacs-23.2, on Ubuntu Server 8.04.4.

** Affects: nxhtml
    Importance: Undecided
        Status: New

--
debugger entered on c-electric-paren
https://bugs.launchpad.net/bugs/663041
You received this bug notification because you are a direct subscriber
of the bug.

Status in nXhtml for Emacs: New

Bug description:
afineman@caviar:~$ emacs --version
GNU Emacs 22.3.1
Copyright (C) 2008 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
afineman@caviar:~$ emacs -q -l nxhtml/autostart.el
------
I open a new file '/tmp/foo.php' and start typing the following:
=============
<html>
<head>
<title>foo</title>
</head>
<body>
 <?php var_dump(
=============

As soon as I type the '(' character, I get a backtrace:
===========
Debugger entered--Lisp error: (wrong-type-argument listp set-from-style)
 c-electric-paren(nil)
 call-interactively(c-electric-paren)
===========
This is a clean build of emacs-23.2, on Ubuntu Server 8.04.4.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/nxhtml/+bug/663041/+subscribe